
.map
	$this: &
	+a_reset
	+position(fixed, null null 51px 46px)
	display: block
	text-align: center
	border-radius: 30px
	background: linear-gradient(to right, rgba(103, 76, 246, 1), rgba(235, 60, 217, 1))

	display: none

	&:hover
		&:before
			opacity: .95

		#{$this}-icon
			transform: translate(0, -2px)

	&:before
		+pseudo
		+bg(#fff, url('../img/map-bg.png'), cover, center, no-repeat)
		display: block
		transition: opacity $transition
		border-radius: 30px
		+position(absolute, 1px)

	&-content
		position: relative
		z-index: 1
		display: flex
		flex-direction: column
		align-items: center
		justify-content: center
		size: 109px
		padding: 10px 25px

	&-text
		display: block
		font-size: 13px
		line-height: lh(15, 13)
		letter-spacing: -0.01em
		color: #2E2D35
		margin-top: 7px

	&-icon
		display: block
		transition: transform $transition
